Bug 474646 - [LTC 5.4 FEAT] Kernel NSS support - kernel part [200790]
[LTC 5.4 FEAT] Kernel NSS support - kernel part [200790]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
s390x All
high Severity high
: alpha
: 5.4
Assigned To: Hans-Joachim Picht
Red Hat Kernel QE team
: FutureFeature, OtherQA
Depends On: 506947
Blocks: 445204 RHEL5u4_relnotes 483701 483784 485920
  Show dependency treegraph
 
Reported: 2008-12-04 13:50 EST by IBM Bug Proxy
Modified: 2010-10-23 02:22 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Utilizing Named Saved Segments (NSS), the z/VM hypervisior makes operating system code in shared real memory pages available to z/VM guest virtual machines. With this update, Multiple Red Hat Enterprise Linux guest operating systems on the z/VM can boot from the NSS and be run from a single copy of the Linux kernel in memory.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:22:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linux-2.6.18-s390-kernel_nss.patch (38.86 KB, text/plain)
2009-01-23 05:31 EST, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50299 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-04 13:50:32 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[200790]
a. Name of Feature:	Kernel NSS support - kernel part
b. Feature Description
This item comprises modifications to the boot loader code contained in zIPL and the kernel, as well
as to the kernel parameter parsing code. The boot loaders shall convert the z/VM "parm" arguments
into a parsable string and add those to the kernel parameter area. The kernel will interpret an
addition parameter which will direct it to save itself into a named saved segment. --- This request
comprises the kernel update required for this feature

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Delivery Mechanism: Backport
Category:	zSeries
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.21

3. Business Case
Save main memory when running multiple Linux servers with the same kernel in the sam z/VM system.
Speed up boot process.

Benefits
Allows to boot Linux out of a named saved segment.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 2 IBM Bug Proxy 2009-01-23 05:31:41 EST
Created attachment 329797 [details]
linux-2.6.18-s390-kernel_nss.patch
Comment 7 John Jarvis 2009-02-06 10:52:18 EST
reassigning to Hans as he will be doing this work.
Comment 8 Hans-Joachim Picht 2009-02-12 12:12:33 EST
The patch has been posted to rhkernel on Feb 12. by Hans-Joachim Picht
<hpicht@redhat.com>
Comment 10 James G. Brown III 2009-02-12 12:29:44 EST
Thanks Hans!
Comment 11 RHEL Product and Program Management 2009-02-16 10:18:10 EST
Updating PM score.
Comment 12 IBM Bug Proxy 2009-02-18 09:52:14 EST
Please do not forget to update documentation and/or release notes (as mentioned in eSDT call):

Through an NSS, z/VM makes operating system code in shared real memory pages available to z/VM guest virtual machines. Multiple Linux guest operating systems on the z/VM can then boot from the NSS and run from the single copy of the Linux kernel in memory.

More details under:
??? ???Shared kernel support??? in latest version of Device Drivers, Features, and Commands at:
http://www.ibm.com/developerworks/linux/linux390/development_documentation.html
Comment 13 John Jarvis 2009-03-04 09:16:56 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 14 Don Zickus 2009-04-06 17:17:07 EDT
in kernel-2.6.18-138.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 16 Chris Ward 2009-06-14 19:17:00 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 17 Chris Ward 2009-07-03 14:15:10 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 18 Shawn Wells 2009-07-08 15:48:24 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Through a Named Saved Segment (NSS), z/VM makes operating system code in shared real memory pages
available to z/VM guest virtual machines. Multiple Red Hat Enterprise Linux guest operating systems on the z/VM can then boot from the NSS and run from a  single copy of the Linux kernel in memory.
Comment 19 IBM Bug Proxy 2009-07-09 10:31:09 EDT
------- Comment From gmuelas@de.ibm.com 2009-07-09 10:23 EDT-------
Red Hat,
this FEAT is blocked by:
LTC Bug 54078   -  RIT309056-Shared Kernel support is not configured

Please fix ASAP, so that we can verify it.
Thank you,
Gonzalo Muelas Serrano.
Comment 22 Chris Ward 2009-07-10 15:07:10 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 26 Ryan Lerch 2009-07-21 23:21:31 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,2 +1 @@
-Through a Named Saved Segment (NSS), z/VM makes operating system code in shared real memory pages
+Utilizing Named Saved Segments (NSS), the z/VM hypervisior makes operating system code in shared real memory pages available to z/VM guest virtual machines. With this update, Multiple Red Hat Enterprise Linux guest operating systems on the z/VM can boot from the NSS and be run from a single copy of the Linux kernel in memory.-available to z/VM guest virtual machines. Multiple Red Hat Enterprise Linux guest operating systems on the z/VM can then boot from the NSS and run from a  single copy of the Linux kernel in memory.
Comment 29 IBM Bug Proxy 2009-08-03 03:51:17 EDT
------- Comment From mgrf@de.ibm.com 2009-08-03 03:44 EDT-------
Verified on RHEL 5.4 snapshots - closing feature
Thx
Comment 31 errata-xmlrpc 2009-09-02 04:22:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.